Subject: bug#74614: Problem of finding the project root when working on submodules of a submodule

From: Chu Maeda <[email-masked]>
Date: Sat, 30 Nov 2024 10:35:19 +0800

Assume that there's a git repository A. A has a submodule B. B has a
submodule C.

When I'm working on C, the current implementation won't choose A as the
project root even though the project-vc-merge-submodules is non-nil.

I can customize project-find-functions to find the right project root as a
workaround, but I think this might be a bug need to be fixed.